Get document
curl --request GET \
--url https://app.heyfred.nl/api/user/knowledgebases/{knowledgebaseId}/documents/{documentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.heyfred.nl/api/user/knowledgebases/{knowledgebaseId}/documents/{documentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.heyfred.nl/api/user/knowledgebases/{knowledgebaseId}/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 1,
"name": "Product Manual",
"description": "Complete product user manual",
"type": "pdf",
"type_label": "PDF",
"status": "active",
"status_label": "Active",
"created_at": "2025-01-05T10:30:00.000000Z",
"updated_at": "2025-01-05T10:35:00.000000Z"
}
}
{
"error": "Knowledgebase not found."
}
{
"error": "Document not found."
}
Knowledgebases
Get document
Get a single document by ID
GET
/
user
/
knowledgebases
/
{knowledgebaseId}
/
documents
/
{documentId}
Get document
This endpoint returns the details of a specific document within a knowledgebase.
Path Parameters
integer
required
The unique identifier of the knowledgebase
integer
required
The unique identifier of the document
Response
object
The document object
Show document properties
Show document properties
integer
The unique identifier of the document
string
The name of the document
string
Optional description of the document
string
Document type:
website, pdf, txt, or docxstring
Human-readable type label
string
Processing status:
processing, active, or failedstring
Human-readable status label
string
ISO 8601 timestamp of creation
string
ISO 8601 timestamp of last update
{
"data": {
"id": 1,
"name": "Product Manual",
"description": "Complete product user manual",
"type": "pdf",
"type_label": "PDF",
"status": "active",
"status_label": "Active",
"created_at": "2025-01-05T10:30:00.000000Z",
"updated_at": "2025-01-05T10:35:00.000000Z"
}
}
{
"error": "Knowledgebase not found."
}
{
"error": "Document not found."
}
⌘I

